package com.microservices.zone.member.domain.vo;

import com.microservices.zone.member.domain.ZoneMemberLevel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */

@Data
@ApiModel("会员聚合身份搜索对象")
public class ZoneMemberLevelSearchVo {
    @ApiModelProperty(value = "专区会员身份名称")
    private String name;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZoneMemberLevel toZoneMemberLevel() {
        ZoneMemberLevel zoneMemberLevel = new ZoneMemberLevel();
        zoneMemberLevel.setZoneId(zoneId);
        zoneMemberLevel.setName(name);
        return zoneMemberLevel;
    }
}
